summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 7d0c2d6)
raw | patch | inline | side by side (parent: 7d0c2d6)
author | Ævar Arnfjörð Bjarmason <avarab@gmail.com> | |
Sat, 21 May 2011 18:44:27 +0000 (18:44 +0000) | ||
committer | Junio C Hamano <gitster@pobox.com> | |
Sat, 21 May 2011 18:57:18 +0000 (11:57 -0700) |
Gettextize bisect_replay messages that use the $1 variable. Since it's
subroutine local we have to provide an alias for it for eval_gettext.
Since I was doing that anyway I've changed all other uses of $1
variable to use the alias variable for clarity.
Signed-off-by: Ævar Arnfjörð Bjarmason <avarab@gmail.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
subroutine local we have to provide an alias for it for eval_gettext.
Since I was doing that anyway I've changed all other uses of $1
variable to use the alias variable for clarity.
Signed-off-by: Ævar Arnfjörð Bjarmason <avarab@gmail.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
git-bisect.sh | patch | blob | history |
diff --git a/git-bisect.sh b/git-bisect.sh
index 4dc28ecdf9757f19cbd30da4251b171add913706..58b24e384145fec5525add5036a618539c6debff 100755 (executable)
--- a/git-bisect.sh
+++ b/git-bisect.sh
}
bisect_replay () {
- test "$#" -eq 1 || die "No logfile given"
- test -r "$1" || die "cannot read $1 for replaying"
+ file="$1"
+ test "$#" -eq 1 || die "$(gettext "No logfile given")"
+ test -r "$file" || die "$(eval_gettext "cannot read \$file for replaying")"
bisect_reset
while read git bisect command rev
do
*)
die "$(gettext "?? what are you talking about?")" ;;
esac
- done <"$1"
+ done <"$file"
bisect_auto_next
}